snd_register_device_for_dev
Prev | Chapter 24. Sound Devices | Next

## Name

snd_register_device_for_dev — Register the ALSA device file for the card

## Synopsis

`int snd_register_device_for_dev (` | int | type,
| struct snd_card * | card,
| int | dev,
| const struct file_operations * | f_ops,
| void * | private_data,
| const char * | name,
| struct device * | device`)`;

## Arguments

`type`

  the device type, SNDRV_DEVICE_TYPE_XXX

`card`

  the card instance

`dev`

  the device index

`f_ops`

  the file operations

`private_data`

  user pointer for f_ops->`open`

`name`

  the device file name

`device`

  the &struct device to link this new device to

## Description

Registers an ALSA device file for the given card. The operators have to be set in reg parameter.

Returns zero if successful, or a negative error code on failure.

Prev | Up | Next
snd_lookup_minor_data | Home | snd_unregister_device